Subject: bug#21780: 25.0.50; Saving *Help* results in bad encoding because of curly quotes

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Oct 2015 17:22:26 +0200

> Date: Fri, 30 Oct 2015 08:07:54 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> One thing I do is this, to get Unix-style line endings:
> (setq-default buffer-file-coding-system 'undecided-unix)

That's your problem, mot probably.  Can you try again after removing
it?  If that solves the problem, I can then tell you how to do what
you want without disrupting encoding/decoding defaults.

> And I do this:
> (setq process-coding-system-alist
>       (cons '("bash" . (raw-text-dos . raw-text-unix))
>             process-coding-system-alist))

This is not related, but it is also wrong.  Why do you do that?